Bug 160068 - Tar hangs in D state on tape write.
Tar hangs in D state on tape write.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 160069 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-10 12:22 EDT by Pablo Mayrgundter
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Mayrgundter 2005-06-10 12:22:20 EDT
Description of problem:

Tar hangs in D state on tape write, using Adaptec AHA-3960D SCSI card and Dell
PowerVault 122T.  I can't kill the process and can't 'ls /proc/[it's pid]/fd/'

Version-Release number of selected component (if applicable):

I'm using an FC3 system with kernel 2.6.11-1.14_FC3smp.

How reproducible:

Tar accepts a "-b" flag for the size of blocks to use in writing and reading. 
If I don't first set the tape drive to use a corresponding block size, tar hangs
immediate on invocations for read or write.  When I do set the corresponding
block sizes, the behavior becomes infrequent, but happens after about a day of
solid usage.

Steps to Reproduce:
1. tar cf /dev/tape files
2.
3.
  
Actual results:

Tar hangs.

Expected results:

Shouldn't hang.

Additional info:
Comment 1 Dave Jones 2005-06-23 21:14:36 EDT
*** Bug 160069 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-06-27 19:21:46 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 3 Pablo Mayrgundter 2005-06-28 11:06:08 EDT
With a block size of 20 ("-b 20"), there is no hang.  That is the default for
tar and possibly why this doesn't happen more often.  Presumably the driver
doesn't wait for the I/O interrupt correctly, but assumes a fast return.  A fast
return is more likely with a smaller block size, and so below a certain level
(e.g. around tar's default of 20), hangs are rare or don't happen.  If this is
the case, it's a nice workaround but this is still a bug.
Comment 4 Dave Jones 2005-07-15 17:40:05 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 5 Dave Jones 2005-09-30 03:08:56 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 6 Dave Jones 2005-11-10 15:14:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Dave Jones 2006-02-03 02:17:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 09:51:17 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.